petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSAdaptDSPSetPID

Set the PID controller parameters

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptDSPSetPID(TSAdapt adapt,PetscReal kkI,PetscReal kkP,PetscReal kkD)

### Input Arguments

| adapt | - adaptive controller context
| kkI | - Integral parameter
| kkP | - Proportional parameter
| kkD | - Derivative parameter

References: http://dx.doi.org/10.1016/j.cam.2005.03.008

### Options Database

-ts_adapt_dsp_pid <kkI,kkP,kkD> -

### See Also

TS, TSAdapt, TSGetAdapt(), TSAdaptDSPSetPID()

### Level

intermediate

### Location

src/ts/adapt/impls/dsp/adaptdsp.c

### Implementations

TSAdaptDSPSetPID_DSP in src/ts/adapt/impls/dsp/adaptdsp.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages